QGIS Application - Bug report #9695
Unexplained difference between geometry cheking and topology checking
2014-03-03 04:13 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18259
Description

I'm testing make valid on a sample of real data. It effectively cleans up all the topology errors, as found by the Topology Checker plugin,
but geometry errors as found by the Vector --> Geometry Tools --> Check geometry validity tool are left untouched.

I'd appreciate an explanation on this difference; probably we should add it to the manual, and warn the user about it.

Associated revisions

Revision 0907298 - 2014-02-26 08:03 AM - Mathieu Pellerin - nIRV

[ftools] fix random points tool not recognizing memory layer integer column (fix #9695)

Revision a089cff5 - 2014-03-07 01:37 PM - Alexander Bruy

Merge pull request #1217 from nirvn/ftool_random_points_fix

[ftools] fix random points tool not recognizing memory layer integer column (fix #9695)

History

#1 - 2014-03-04 12:12 AM - Giovanni Manghi
One probable explanation is that the two tools were coded in different ways (and as far as | understand in different languages) by different programmers,

so at some level there is no match in what is considered an error and what is not.

#2 - 2014-03-07 04:38 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"a089cff5f7194d984f619fa262ea1c0f336bb881".

#3 - 2014-03-07 05:44 AM - Paolo Cavallini
- Status changed from Closed to Reopened

Wrong mention to this ticket in the commit.
#4 - 2015-03-05 06:46 AM - Alexander Bruy
- Status changed from Reopened to Closed

Moved to GitHub issues, see https://github.com/qgis/QGIS-Documentation/issues/472
